NXOpen .NET Reference  12.0.0
Properties | List of all members
NXOpen.SketchQuickExtendBuilder Class Reference

Represents a NXOpen.SketchQuickExtendBuilder More...

Inheritance diagram for NXOpen.SketchQuickExtendBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Properties

unsafe NXOpen.SelectCurveList BoundaryCurves [get]
 Returns the boundary curves More...
 
unsafe NXOpen.SelectNXObjectList BoundaryObjects [get]
 Returns the boundary objects More...
 
unsafe bool ExtendBound [get, set]
 Returns or sets the flag to control the ability to extend to extension of the boundary More...
 
unsafe NXOpen.SelectCurveList ExtendedCurves [get]
 Returns the extended curves More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Detailed Description

Represents a NXOpen.SketchQuickExtendBuilder

To create a new instance of this class, use NXOpen.SketchCollection.CreateQuickExtendBuilder

Default values.

Property Value

ExtendBound

True

Created in NX5.0.0

Property Documentation

unsafe NXOpen.SelectCurveList NXOpen.SketchQuickExtendBuilder.BoundaryCurves
get

Returns the boundary curves

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.SketchQuickExtendBuilder.BoundaryObjects instead.

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.SketchQuickExtendBuilder.BoundaryObjects
get

Returns the boundary objects

Created in NX9.0.0

License requirements: None.

unsafe bool NXOpen.SketchQuickExtendBuilder.ExtendBound
getset

Returns or sets the flag to control the ability to extend to extension of the boundary

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectCurveList NXOpen.SketchQuickExtendBuilder.ExtendedCurves
get

Returns the extended curves

Created in NX5.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.